package com.fp.viaticos.rules.enums;

/**
 * Enumeracion en la que se define codigos de estado de una solicitud.
 * 
 * @version 2.1
 */
public enum EnumEstadosSolicitud {
    /**
     * C&oacute;digo estado ingresado
     */
    INGRESADO("IN"),
    /**
     * C&oacute;digo estado por aprobar
     */
    ANULACION_POR_APROBAR("SAA"),
    /**
     * C&oacute;digo estado por aprobar
     */
    POR_APROBAR("SPA"),
    /**
     * C&oacute;digo estado por corregir
     */
    POR_CORREGIR("SPC"),
    /**
     * C&oacute;digo estado aprobado
     */
    APROBADA("SAP"),
    /**
     * C&oacute;digo estado anulada
     */
    ANULADA("SAN"),
    /**
     * C&oacute;digo estado por ingresar informe
     */
    POR_ING_INFORME("IPI"),
    /**
     * C&oacute;digo estado informe aprobado
     */
    INF_APROBADO("IAP"),
    /**
     * C&oacute;digo estado informe por aprobar
     */
    INF_POR_APROBAR("IPA"),
    /**
     * C&oacute;digo estado informe por aprobar
     */
    INF_POR_CORREGIR("IPC");
    /**
     * ACodigo de estatus de la solicitud.
     */
    private String estatus;

    /**
     * @param texto
     * @param codigo
     */
    private EnumEstadosSolicitud(String estatus) {
        this.estatus = estatus;
    }

    /**
     * Entrega el valor de: estatus
     * 
     * @return String
     */
    public String getEstatus() {
        return estatus;
    }

}
